#1073 1.3 - Sending offer by email - customer's email does not appear or selectable

1.3
open
Chris Travers
None
5
2014-02-28
2014-02-14
Pongracz Istvan
No

This issue is reopened, because it seems it still exists.

There is a customer with several emails defined: billing, billing cc, email. Checkt the attachment.

When I tried to send an offer by email, the email address sections were empty, all of them. When I clicked to continue, it dropped an error: no email addresses provided.

So, I am confused, how it is working.

2 Attachments

Related

Bugs: #1073

Discussion

  • John Locke
    John Locke
    2014-02-15

    Hi, Istvan,

    I've seen trouble in this area too. We use the email functionality for 3 different workflows:

    Sales Invoices
    AR Aging reports
    Sales Orders

    Sales Invoices do work consistently. IIRC, AR Aging and Sales orders leave the email "to" boxes blank. At least one of these ignores whatever you enter and sends to the email address(s) listed on the customer -- we've sent out a number of test emails that have gone to a customer unintentionally.

    What are you trying to send? I think each item you're trying to send needs individual attention...

     
    • Erik Huelsmann
      Erik Huelsmann
      2014-02-15

      Hi,

      It's the aging one that ignores the entered values. I too sent out test
      mails to customers. The aging one is fixed in a recent patch release in 1.3.

      Regards,

      Erik

      sent from my phone
      On Feb 15, 2014 6:39 PM, "John Locke" freelock@users.sf.net wrote:

      Hi, Istvan,

      I've seen trouble in this area too. We use the email functionality for 3
      different workflows:

      Sales Invoices
      AR Aging reports
      Sales Orders

      Sales Invoices do work consistently. IIRC, AR Aging and Sales orders leave
      the email "to" boxes blank. At least one of these ignores whatever you
      enter and sends to the email address(s) listed on the customer -- we've
      sent out a number of test emails that have gone to a customer
      unintentionally.

      What are you trying to send? I think each item you're trying to send needs
      individual attention...


      Status: open
      Created: Fri Feb 14, 2014 05:05 PM UTC by Pongracz Istvan
      Last Updated: Fri Feb 14, 2014 05:05 PM UTC
      Owner: nobody

      This issue is reopened, because it seems it still exists.

      There is a customer with several emails defined: billing, billing cc,
      email. Checkt the attachment.

      When I tried to send an offer by email, the email address sections were
      empty, all of them. When I clicked to continue, it dropped an error: no
      email addresses provided.

      So, I am confused, how it is working.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/ledger-smb/bugs/1073/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1073

      Attachments
  • I use email sending function for the following workflows:

    • Sales offer
    • Sales order
    • Sales invoice
    • AR aging
    • Purchase order
    • Purchase offer

    Independently of my workflows, it should work in all cases.
    In real life scenario, I can imagine, different emails belong to different functions, like offer and invoice should be sent to different addresses.

    Instead of get a random email address from contacts, maybe a multiselect list would be better, which includes all existing emails of the contact, in description - email pairs.

     
  • Sales Order also did no pull the email addresses.
    I check it.

     
  • It seems the offer/order forms did not pull email addresses, while the invoice form did. That is why offer and order form cannot insert email addresses into the right fields.
    Anyway, these fields are hidden.

     
    • assigned_to: Pongracz Istvan
     
  • Screenshot example to clarify the issue.

     
    Attachments
  • Chris Travers
    Chris Travers
    2014-02-28

    • assigned_to: Pongracz Istvan --> Chris Travers